com.ibm.openpages.api.scheduler

## Class SchedulerException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.ibm.openpages.api.OpenPagesException
        - - com.ibm.openpages.api.scheduler.SchedulerException

- All Implemented Interfaces:
    java.io.Serializable

      public class SchedulerException
      extends OpenPagesException

  Represents exception thrown by the scheduler service
  Since:
    8.2
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ILLEGAL_SCHEDULER_OPERATION`
    `static int` | `IN_WORKFLOW`
    `static int` | `INVALID_CRON_EXPRESSION`
    `static int` | `INVALID_DATES`
    `static int` | `INVALID_SCHEDULE_CLASS`
    `static int` | `INVALID_START_DATE`
    `static int` | `NAME_EXISTS`
    `static int` | `NOT_SUBCLASS`
    `static int` | `SCHEDULER_JOB_DOESNT_EXIST`
    `static int` | `SCHEDULER_JOB_IS_DISABLED`
    `static int` | `UNDEFINED_JOB_NAME`
    `static int` | `UNDEFINED_SCHEDULE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerException(int errorMessageId, java.util.List<java.lang.Object> parameters, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class com.ibm.openpages.api.OpenPagesException

      `getAdditionalMessage, getCode, getLocalizedMessage, getMessage, getParameters, getTimestamp`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SCHEDULER_JOB_DOESNT_EXIST

          public static final int SCHEDULER_JOB_DOESNT_EXIST

      See Also:
        Constant Field Values

    - #### ILLEGAL_SCHEDULER_OPERATION

          public static final int ILLEGAL_SCHEDULER_OPERATION

      See Also:
        Constant Field Values

    - #### SCHEDULER_JOB_IS_DISABLED

          public static final int SCHEDULER_JOB_IS_DISABLED

      See Also:
        Constant Field Values

    - #### INVALID_SCHEDULE_CLASS

          public static final int INVALID_SCHEDULE_CLASS

      See Also:
        Constant Field Values

    - #### INVALID_CRON_EXPRESSION

          public static final int INVALID_CRON_EXPRESSION

      See Also:
        Constant Field Values

    - #### UNDEFINED_SCHEDULE_NAME

          public static final int UNDEFINED_SCHEDULE_NAME

      See Also:
        Constant Field Values

    - #### UNDEFINED_JOB_NAME

          public static final int UNDEFINED_JOB_NAME

      See Also:
        Constant Field Values

    - #### INVALID_DATES

          public static final int INVALID_DATES

      See Also:
        Constant Field Values

    - #### IN_WORKFLOW

          public static final int IN_WORKFLOW

      See Also:
        Constant Field Values

    - #### NAME_EXISTS

          public static final int NAME_EXISTS

      See Also:
        Constant Field Values

    - #### NOT_SUBCLASS

          public static final int NOT_SUBCLASS

      See Also:
        Constant Field Values

    - #### INVALID_START_DATE

          public static final int INVALID_START_DATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SchedulerException

          public SchedulerException(int errorMessageId,
                                    java.util.List<java.lang.Object> parameters,
                                    java.lang.Throwable cause)

      Parameters:
        `errorMessageId` -
        `parameters` -
        `cause` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.